US 1.1.2 OTB trying to use on UK O2 Contract SIM

Discussion in 'Jailbreaks and iOS Hacks' started by benmurphy66, Jan 4, 2008.

  1. benmurphy66 macrumors newbie

    Joined:
    Jan 4, 2008
    #1
    Hi,

    I have searched and searched for the answer to this and can't work out what I am doing wrong.

    I have a jailbroken my US purchased 1.1.2 OTB and trying to get a O2 SIM card that isn't an iPhone SIM card to work.

    I have done all the steps suggestion else where including updating the Lockdownd file. I just get the error "Incorrect SIM - This iPhone must be a used with an approved SIM."

    Any ideas and where I should look. Sorry if this was covered in another thread, if it was I couldn't find it.

    Ben
     
  2. thomashortoncc macrumors newbie

    Joined:
    Jun 7, 2005
    #2
  3. Consultant macrumors G5

    Consultant

    Joined:
    Jun 27, 2007
    #3
    You don't replace the Lockdownd file manually.

    In anycase, for 1.1.2 out of box iPhone, the phone part will work only if firmware is back to 1.1.2. However I think AT&T (US) phone will work only with AT&T sim cards, but doesn't hurt to try your O2 simcard once you are on 1.1.2.

    What firmware are you running now?
     

Share This Page